navWidth = 120px
sliderWidth = 100px

.header-bar
  background-color blue
  position fixed
  top 0
  bottom 0
  width navWidth
  z-index 1
  display flex
  align-items center

.corner
  text-align center
  position absolute
  width 100%
  left 0

.corner_pos_top_left
  top 25px

.corner_pos_bottom_left
  bottom 0px

.corner__link
  display block
  width 100%
  margin-bottom 4px

.corner__image
  width 50%
  cursor pointer

.menu
  width 100%

.menu__link
  noHighlight()
  display block
  color font-color
  font-size font-size
  cursor pointer
  padding 6px 10px
  margin 0
  background-color transparent
  transition(background-color, 100ms, linear)
  &:hover, &.menu__link_selected
    background-color orange-highlight
    transition(background-color, 100ms, linear)

.slideout
  background-color light-blue
  position fixed
  top 0
  bottom 0
  left 0
  width sliderWidth
  transition(left, 300ms, linear)
  triggerAcceleration(0)
  flexboxDisplay()
  align-items center

.slideout__list
  width sliderWidth
  display none

.slideout__item
  transition(background-color, 100ms, linear)
  &:hover, &.slideout__item_selected
    background-color orange-highlight
    transition(background-color, 100ms, linear)

.slideout__text
  noHighlight()
  padding 7px 10px
  margin 0
  color font-color
  font-size font-size - 2
  cursor pointer
  background-color transparent

.slideout__image-container
  noHighlight()
  padding 8px
  margin 0 auto
  cursor pointer
  width sliderWidth
  height sliderWidth

.slideout__image
  background-color dark
  borderRadius(50%)
  padding 4px
  width 100%
  height 100%

@media screen and (max-width: 800px)
  .header-bar
    z-index 2
    top 0
    bottom unset
    right 0
    width 100%

  .corner
    display none

  .menu
    top 0 !important
    position relative
    width 100%
    text-align center

  .menu__link
    display inline-block
    width 25%
    padding 10px 0

  .slideout
    z-index 1
    top -55px
    bottom unset
    left unset !important
    right 0
    height 100px
    width 100%
    text-align center
    transition(top, 300ms, linear)

  .slideout__list
    top 0 !important
    height 100%
    flexboxDisplay()
    flex-direction row
    width 100%

  .slideout__text
    display inline-block
    flex-grow 1
    align-self flex-end

  .slideout__image-container
    width auto
    height 100px

  .slideout__image
    height 100%

@media screen and (max-width: 500px)
  .menu__link
    font-size 14px

  .slideout
    height 80px

  .slideout__image-container
    padding 4px
    height 80px

@media screen and (max-width: 400px)
  .menu
    font-size 18px

  .slideout
    height 56px

  .slideout__image-container
    padding 4px
    height 56px


@media screen and (max-width: 300px)
  .slideout
    height 56px

  .slideout__text
    font-size 16px

@media screen and (max-height: 500px) and (min-width: 800px)
  .corner
    display none

  .slideout
    width 80px

  .slideout__list
    width 80px

  .slideout__image-container
    width 80px
    height 80px

@media screen and (max-height: 400px) and (min-width: 800px)
  .slideout
    width 62px

  .slideout__list
    width 62px

  .slideout__image-container
    width 62px
    height 62px
    padding 4px

@media screen and (max-height: 300px) and (min-width: 800px)
  .slideout
    width 54px

  .slideout__list
    width 54px

  .slideout__image-container
    width 54px
    height 54px

  .slideout__text
    padding 4px